#-*- coding: utf-8 -*-

Then /^aucun email ne doit avoir été envoyé$/ do
  Mail::TestMailer.deliveries.should be_empty
end

Then /^un appel pour la cotisation doit avoir été envoyé$/ do
  Mail::TestMailer.deliveries.should have(1).email
  mail = Mail::TestMailer.deliveries.first
  expect(mail.from).to eql([NosOignons::BOARD_EMAIL])
  expect(mail.to).to eql([@last_member['email']])
  expect(mail.subject).to include('Renouvellement de votre cotisation')
  expect(mail.body).to include(@last_member['name'])
  expect(mail.body).to include('30 jours')
end

Then /^l'appel envoyé doit demander de vérifier l'adresse postale$/ do
  mail = Mail::TestMailer.deliveries.first
  expect(mail.body.to_s.gsub(/^ */, '')).to include(@last_member['address'])
end

Then /^un (premier|dernier) rappel pour la cotisation doit avoir été envoyé$/ do |kind|
  mail = Mail::TestMailer.deliveries.first
  expect(mail.subject).to include("(#{kind == 'premier' ? '' : 'dernier '}rappel)")
end

Then /^(\d+) emails? (?:doit|doivent) avoir été envoyés?$/ do |count|
  Mail::TestMailer.deliveries.should have(count).email
end

Then /^des emails doivent avoir été envoyés à Jane, Fatima, Fred et Moly$/ do
  recipients = Mail::TestMailer.deliveries.collect(&:to)
  recipients.should include(['jane@example.org'])
  recipients.should include(['fatima@example.org'])
  recipients.should include(['fred@example.org'])
  recipients.should include(['moly@example.org'])
end

Then /^un email doit avoir été envoyé au comité de déontologie$/ do
  expect(Mail::TestMailer.deliveries).to have(1).email
  expect(Mail::TestMailer.deliveries.first.to).to include('deontologie@nos-oignons.net')
end

Then /^il doit contenir les adresses emails de Jane et Fred$/ do
  expect(Mail::TestMailer.deliveries.first.body).to include('jane@example.org')
  expect(Mail::TestMailer.deliveries.first.body).to include('fred@example.org')
end

